=== debian/changelog ===
s390-tools (1.37.0-0ubuntu3) zesty; urgency=medium

  * Cherrypick v1.37.1 point release bug fixes LP: #1671497, LP: #1669785
    - dbginfo.sh: Add Docker debug data
    - lsdasd: Replace continue with return
    - lscss: Allow to specify devices from subchannel set 3
    - mon_fsstatd: Only use physical filesystems
    - mon_fsstatd: Fix double free in error path
    - mon_procd: Fix segmentation fault
    - mon_procd: Bump buffer size to 4096

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Mar 2017 16:10:35 +0100

s390-tools (1.37.0-0ubuntu2) zesty; urgency=medium

  * chzdev/qeth: set bridge_role after the device is online to avoid a
    race condition when setting qeth attributes on boot. LP: #1618463.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Mar 2017 09:26:12 +0000

s390-tools (1.37.0-0ubuntu1) zesty; urgency=medium

  * New upstream release LP: #1657166 LP: #1656809
  * Drop no-wait-for.patch, fixed upstream.
  * Reintroduce GNU_SOURCE and -rdynamic via dpkg-buildflags, as they are
    lost in the buildsystem.
  * Fix linking order in dump2tar Makefile.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Jan 2017 12:37:45 +0000

s390-tools (1.36.1-1ubuntu1) zesty; urgency=medium

  * Merge s390-tools 1.36.1-1 from debian, remaining changes:
    - lower priority to optional
    - build-depend on libsnmp-dev
    - add cpuplugd, statd, osasnmpd subpackages
    - use z Systems branding in descriptions
    - ship monwriter
    - Apply patch to exit 0 on help for ziomon
    - Drop unused patches from debian/patches
    - Add CondifitionVirtualization to cpacfstatsd unit
    - Drop disable.patch
    - Drop WAIT_FOR stanzas in udev rules
    - Apply spelling patch
    - add update-initramfs -u zdev-root-update integration to zdev
    - Ship zdev in udeb
    - Add monitoring systemd units

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Jan 2017 11:41:42 +0000

s390-tools (1.36.1-0ubuntu3) zesty; urgency=medium

  * Add update-initramfs -u integration for chzdev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Nov 2016 16:49:11 +0000

s390-tools (1.36.1-0ubuntu2) yakkety; urgency=medium

  * Fix exit codes. LP: #1616596

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Sep 2016 13:05:09 +0100

s390-tools (1.36.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release. LP: #1609435

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Sep 2016 18:04:11 +0100

s390-tools (1.36.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release. LP: #1614579
  * Merge debian changes up to 1.34.0-2.
  * Refresh patches

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Aug 2016 12:20:46 +0100

s390-tools (1.34.0-0ubuntu11) yakkety; urgency=medium

  * zipl: Import off-by-one patch to resolve failure to start subchannel
    in FBA loader. LP: #1592990.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jun 2016 12:41:30 +0100

s390-tools (1.34.0-0ubuntu10) yakkety; urgency=medium

  * Fix ts-shell maintainer scripts LP: #1567473:
    - create /var/log/ts-shell directory with the right permissions
    - remove errorous directory
  * Install iuctty-login@.service systemd unit, with a correct path LP:
    #1580226

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jun 2016 12:37:33 +0100

s390-tools (1.34.0-0ubuntu9) yakkety; urgency=medium

  * Cherrypick upstream fix for buffer overflow in dasdfmt. LP: #1582728

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jun 2016 11:51:16 +0100
