=== debian/changelog ===
s390-tools (1.39.0-0ubuntu4) artful; urgency=medium

  * Drop the depracated '-f device' and use required position 'device'
    only. -f flag got removed post v1.37. Otherwise zipl fails to
    determine correct underlying device topology and fails to IPL root on
    LVM or multipath. LP: #1723541

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Oct 2017 18:09:49 +0100

s390-tools (1.39.0-0ubuntu3) artful; urgency=medium

  * Fix ftbfs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Aug 2017 00:14:43 +0100

s390-tools (1.39.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Drop patches applied upstream:
    + debian/patches/fix-ftbfs-link-order.patch
    + debian/patches/v1.37.1-updates.patch
  * Refresh patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 23 Aug 2017 17:28:21 +0100

s390-tools (1.37.0-0ubuntu7) artful; urgency=medium

  * Drop chmem/lsmem utilities, moved to util-linux.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Aug 2017 16:59:54 +0300

s390-tools (1.37.0-0ubuntu6) artful; urgency=medium

  * Set cpi vars (system name, type, level and sysplex name) via systemd
    generator.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 12:41:57 +0100

s390-tools (1.37.0-0ubuntu5) artful; urgency=medium

  * Revert 1.37.0-0ubuntu2 "chzdev/qeth: set bridge_role after the device
    is online", as one must specify layer2 parameter when specifying layer
    specific parameters. LP: #1618463.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 May 2017 17:03:44 +0100

s390-tools (1.37.0-0ubuntu4) artful; urgency=medium

  * chzdev: Fix ineffective zfcp-lun udev rule preventing activation of
    unordered WWPNs. LP: #1683808

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 May 2017 12:25:08 +0100
