=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_install:
 	# no dracut
-	rm debian/tmp/lib/s390-tools/zdev-root-update
+	rm -f debian/tmp/lib/s390-tools/zdev-root-update
 	chmod -x debian/tmp/etc/*/*.conf debian/tmp/lib/s390-tools/zfcpdump/zfcpdump_part.rd
 	dh_install -ps390-tools-cpuplugd
 	dh_install -ps390-tools-statd
