=== cpuplugd/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 include ../common.mak
-
-ALL_CFLAGS += -I../include
 
 all: cpuplugd
