=== fdasd/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 include ../common.mak
-
-ALL_CPPFLAGS += -I../include
 
 libs =	$(rootdir)/libvtoc/libvtoc.a \
 	$(rootdir)/libzds/libzds.a \
 	$(rootdir)/libdasd/libdasd.a \
-	$(rootdir)/libu2s/libu2s.a
+	$(rootdir)/libu2s/libu2s.a \
+	$(rootdir)/libutil/libutil.a
 
 all: fdasd
