=== ipl_tools/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 include ../common.mak
-
-ALL_CPPFLAGS += -I../include
 
 all: chreipl lsreipl chshut lsshut
