=== libu2s/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 include ../common.mak
-
-ALL_CPPFLAGS += -I../include
 
 lib = libu2s.a
