=== debian/changelog ===
s390-tools (2.3.0-2~deb10u1) buster; urgency=medium

  * Upload debootstrap fix to Debian stable. (Closes: #960265)

 -- Philipp Kern <pkern@debian.org>  Mon, 17 Aug 2020 10:04:45 +0200

s390-tools (2.3.0-2) unstable; urgency=medium

  * Hardcode perl dependency instead of using ${perl:Depends}.
    The latter introduces a multi-arch dependency (perl:any) that the
    base installation environment cannot cope with.

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Aug 2020 10:36:02 -0400

s390-tools (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/zipl-no-pie.patch: applied upstream.
  * Add a watch file.
  * Package ziomon/ziorep reporting tools. (Closes: #812588)

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 13:29:22 -0500

s390-tools (2.2.0-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/systemd-bindto.patch: applied upstream.
    - lsmem/chmem were moved to util-linux.
    - Ship upstream's changelog.

 -- Philipp Kern <pkern@debian.org>  Sun, 14 Jan 2018 15:36:29 +0100

s390-tools (1.37.1-1) unstable; urgency=medium

  * New upstream release
    - Pass in the default CPPFLAGS/LDFLAGS from debian/rules.
  * Drop the libsysfs-dev build-dependency; it is no longer used.
    (Closes: #856062)
  * Check for udevadm in /bin, not /sbin. (Closes: #852572)
  * Replace BindTo with BindsTo in systemd unit file. (Closes: #857190)

 -- Philipp Kern <pkern@debian.org>  Sun, 09 Jul 2017 10:07:15 +0200
