## s390-tools 2.6.0

=== debian/changelog ===
s390-tools (2.6.0-0ubuntu7.3) cosmic; urgency=medium

  * Guard against needlesly resetting cpi vars. LP: #1805841
  * Use system path to find cryptsetup binary. LP: #1803958
  * Cherrypick upstream patch to add OSA-Express7S defines in
    qethqoat. LP: #1815022

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 May 2019 14:21:10 +0100

s390-tools (2.6.0-0ubuntu7.2) cosmic; urgency=medium

  * lsqeth: resolve core dump when called without any eth devices. LP:
    #1813888

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Feb 2019 12:41:58 +0000

s390-tools (2.6.0-0ubuntu7.1) cosmic; urgency=medium

  * lszcrypt: Apply upstream patch to display bound driver name, if any,
    since the kernel supports alternate zcrypt drivers now. LP: #1800867

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 23 Jan 2019 11:56:12 +0000

s390-tools (2.6.0-0ubuntu7) cosmic; urgency=medium

  * zdev: Trigger generic_ccw devices on any kernel module loads. LP:
    #1794308

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Oct 2018 10:23:35 +0100

s390-tools (2.6.0-0ubuntu6) cosmic; urgency=medium

  * Add a zkeyadm group, and make it own the default zkey repository
    directories. LP: #1794290
  * Cherrypick zdev initramfs hook rename
  * Cherrypick zkey initramfs hook LP: #1794346
  * Make zkey package activate update-initramfs trigger

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Oct 2018 14:15:29 +0100

s390-tools (2.6.0-0ubuntu5) cosmic; urgency=medium

  * Cherrypick upstream patches for:
    - lstape, lsluns multiple paths fixes LP: #1790831
    - zkey documentation update
    - zfcpdump incompatible cast fix

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Sep 2018 11:42:43 +0100

s390-tools (2.6.0-0ubuntu4) cosmic; urgency=medium

  * Add s390-tools-zkey-udeb package with zkey utilities for d-i. LP:
    #1766865

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Sep 2018 16:58:09 +0100

s390-tools (2.6.0-0ubuntu3) cosmic; urgency=medium

  * Make initramfs-tools zdev hooks not conflict with zfs. LP: #1788314

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Aug 2018 18:05:29 +0100

s390-tools (2.6.0-0ubuntu2) cosmic; urgency=medium

  * Add zdev initramfs hooks to initialize firmware provided devices by
    default. LP: #1776631

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Aug 2018 15:06:21 +0100

s390-tools (2.6.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Add a zkey subpackage LP: #1786460.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Aug 2018 14:29:58 +0100

s390-tools (2.5.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1776907 LP: #1775627 LP: #1775632
  * Drop udevadm patch, no longer needed
  * Refresh patches
  * Import upstream patches since v2.5.0 LP: #1777600

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Jul 2018 17:00:03 +0100

s390-tools (2.3.0-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:18:56 +0000

s390-tools (2.3.0-0ubuntu3) bionic; urgency=medium

  * zz-zipl: Do not run if non-optional initrds don't exist yet (LP: #1766727)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Apr 2018 09:34:18 -0600

s390-tools (2.3.0-0ubuntu2) bionic; urgency=medium

  * Do not instead 60-readahead.rules, uses obsolete WAIT_FOR.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Mar 2018 12:07:14 +0100

s390-tools (2.3.0-0ubuntu1) bionic; urgency=medium

  * New upstream release LP: #1746272

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Feb 2018 10:49:21 +0000

s390-tools (2.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Cherry-pick debian change:
    - Check for udevadm in /bin, not /sbin. (Closes: #852572)
  * Add watch file
  * Update copyright file
  * Do not use fail-missing, fails on conf-files

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Jan 2018 11:09:26 +0000
