=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	dh_install -ps390-tools-cpuplugd
 	dh_install -ps390-tools-statd
 	dh_install -ps390-tools-osasnmpd
-	dh_install -Xcpuplugd -Xosasnmpd -Xprocd -Xfsstatd --fail-missing
+	dh_install -ps390-tools-zkey -ps390-tools-zkey-udeb
+	dh_install -Xcpuplugd -Xosasnmpd -Xprocd -Xfsstatd -X60-readahead.rules -Xzkey
 
 override_dh_auto_clean:
 	dh_auto_clean -- $(options)
@@ -27,4 +28,4 @@
 	dh_auto_build -- $(options)
 
 override_dh_auto_install:
-	dh_auto_install -- $(options)
+	HAVE_INITRAMFS=1 HAVE_DRACUT=1 dh_auto_install -- $(options)
