## s390-tools 2.8.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # Include common definitions
 include common.mak
 
-LIB_DIRS = libvtoc libu2s libutil libzds libdasd libvmdump libccw
+LIB_DIRS = libvtoc libu2s libutil libzds libdasd libvmdump libccw libvmcp
 TOOL_DIRS = zipl zdump fdasd dasdfmt dasdview tunedasd \
 	   tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf \
 	   vmconvert vmcp man mon_tools dasdinfo vmur cpuplugd ipl_tools \
 	   ziomon iucvterm hyptop cmsfs-fuse qethqoat zfcpdump zdsfs cpumf \
-	   systemd hmcdrvfs cpacfstats zdev dump2tar zkey netboot etc
+	   systemd hmcdrvfs cpacfstats zdev dump2tar zkey netboot etc zpcictl
 SUB_DIRS = $(LIB_DIRS) $(TOOL_DIRS)
 
 all: $(TOOL_DIRS)
