=== libu2s/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 all: $(lib)
 
-objects = u2s.o misc.o
+objects = u2s.o
 
 $(lib): $(objects)
