=== debian/changelog ===
s390-tools (2.8.0-0ubuntu5) disco; urgency=medium

  * zkey: on Ubuntu, use default benchmarked Argon2i with LUKS2. LP:
    #1820049

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Mar 2019 13:50:25 +0000

s390-tools (2.8.0-0ubuntu4) disco; urgency=medium

  * Guard against needlesly resetting cpi vars. LP: #1805841

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Mar 2019 23:44:33 +0000

s390-tools (2.8.0-0ubuntu3) disco; urgency=medium

  * Import zkey bugfixes to support more cryptsetup options, and generate
    valid plain entries.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Mar 2019 14:45:58 +0000

s390-tools (2.8.0-0ubuntu2) disco; urgency=medium

  * Restore missing history and, more importantly, the zz-zipl fix.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 28 Feb 2019 10:54:06 -0700

s390-tools (2.8.0-0ubuntu1) disco; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 21 Feb 2019 13:58:39 +0100

s390-tools (2.7.1-0ubuntu1) disco; urgency=medium

  * New upstream release:
    - zkey: Enhance error message about missing CCA library. LP: #1808520
    - Extended access controls for AP queue LP: #1804019
    - PCI error reporting tool LP: #1802499
    - zcrypt DD: introduce APQN tags to support deterministic driver
    binding LP: #1800867

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Jan 2019 14:23:22 +0000

s390-tools (2.6.0-0ubuntu10) disco; urgency=medium

  * On Ubuntu, PATH is reset to a known secure path, when running programs
    as root, thus there is no need to reset PATH in zkey before calling
    system(). This fixes zkey failing to find cryptsetup. LP: #1803958

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 Nov 2018 02:45:09 +0000

s390-tools (2.6.0-0ubuntu9) disco; urgency=medium

  * No-change rebuild to fix wrong versioned dep on net-snmp.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Nov 2018 13:25:09 -0800

s390-tools (2.6.0-0ubuntu8) disco; urgency=medium

  * zz-zipl: Handle removed-but-not-purged state by checking for zipl first.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Nov 2018 11:44:08 -0700
