=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_install:
 	# no dracut
 	rm -f debian/tmp/lib/s390-tools/zdev-root-update
-	chmod -x debian/tmp/etc/*/*.conf debian/tmp/lib/s390-tools/zfcpdump/zfcpdump_part.rd
+	chmod -x debian/tmp/etc/*/*.conf debian/tmp/lib/s390-tools/zfcpdump/zfcpdump-initrd
 	dh_install -ps390-tools-cpuplugd
 	dh_install -ps390-tools-statd
 	dh_install -ps390-tools-osasnmpd
