=== debian/changelog ===
s390-tools (2.11.0-0ubuntu1) eoan; urgency=medium

  * New upstream release LP: #1830731
    - update from master snapshot, to v2.11.0 final
    - only minor bugfixes and clarifications included

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 16:36:31 +0100

s390-tools (2.10.0-0ubuntu2) eoan; urgency=medium

  * Cherrypick patches from master since v2.10.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Aug 2019 20:07:27 +0100

s390-tools (2.10.0-0ubuntu1) eoan; urgency=medium

  * New upstream release LP: #1836862, LP: #1836608

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 31 Jul 2019 23:43:34 -0400

s390-tools (2.9.0-0ubuntu4) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2019 15:02:17 +0200

s390-tools (2.9.0-0ubuntu3) eoan; urgency=medium

  * Fix FTBFS LP: #1833238

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Jun 2019 14:28:12 +0100

s390-tools (2.9.0-0ubuntu2) eoan; urgency=medium

  * Add secure initial programme load signing. LP: #1829749

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Jun 2019 13:20:45 +0100

s390-tools (2.9.0-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 May 2019 21:19:21 +0100

s390-tools (2.8.0-0ubuntu6) eoan; urgency=medium

  * Cherrypick v2.9.0 patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 20:15:17 +0100
