=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: s390-tools
 Architecture: s390 s390x
 Priority: important
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, gawk
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${signing:Depends}, gawk
 Recommends: sg3-utils
 Suggests: s390-tools-cpuplugd, s390-tools-osasnmpd, s390-tools-statd, multipath-tools, lsscsi, rsync, blktrace
 Description: fundamental utilities for Linux on z Systems
